UTEMPTER_ADD_RECORD(3)

NAME
utempter_add_record, utempter_remove_added_record, utempter_remove_record, addToUtmp, removeFromUtmp, removeLineFromUtmp - utempter compatibility interface

LIBRARY
libulog

SYNOPSIS
#include <utempter.h>
int
utempter_add_record(int fd, const char *host);
int
utempter_remove_added_record(void);
int
utempter_remove_record(int fd);
void
addToUtmp(const char *pty, const char *host, int fd);
void
removeFromUtmp(void);
void
removeLineFromUtmp(const char *pty, int fd);

DESCRIPTION
The utempter_add_record() and addToUtmp() functions add a login record to the database for the TTY belonging to the pseudo-terminal master file descriptor fd, using the username corresponding with the real user ID of the calling process and the optional hostname host. These functions are equivalent to ulog_login_pseudo(3).

The utempter_remove_record() and removeLineFromUtmp() functions mark the login session as being closed for the TTY belonging to the pseudo-terminal master file descriptor fd. These functions are equivalent to ulog_logout_pseudo(3).

The utempter_remove_added_record() and removeFromUtmp() functions have the same properties as the previously mentioned functions, except that they use an internally cached value of the file descriptor passed to the login functions.

The pty arguments of addToUtmp() and removeLineFromUtmp() are unused.

RETURN VALUES
In this implementation, the utempter_add_record(), utempter_remove_added_record() and utempter_remove_record() always return a value of 0.

SEE ALSO
pututxline(3), ulog_login_pseudo(3)

HISTORY
These functions appeared in FreeBSD 9.0.